PDA

View Full Version : OpenGL, Voodoo2, Win2K _ Help Please



11-01-2000, 12:58 AM
OK, I've had about enough of Win2K. I have a K6-2 400MHz, Diamond Monster Voodoo 2 with latest Beta drivers, Sblive with latest drivers, 128M of RAM, Via Chipset, S3Trio 3D, latest 4 in 1 Drivers PA2013 Motherboard.
Tried with DirectX7 and DirectX8(Beta Version)

Every game I'm having some type of problem with! The most recent is Homeworld:Cataclysm. It will only run in Software rendering. No OpenGL settings are recognized, also the same for Ground Control Demo. From my understanding Win2K shipped with OpenGL Capabilities. So what in the world is happening here???!!

Also problems with Age of Kings where I cannot turn on music without the game staggering, pausing every 3 or 4 seconds.

Midtown Madness has dodgy graphics, guessing this is due to lack of Direct 3D or similar drivers.

Problems with all sorts of games just freezing and locking after a few minutes, but that seems fixed by removing case and running fan on machine.

Also still no Direct3D support for any games? Anyone know when we'll have a driver for this?

Any help would be greatly appreciated. (And that's besides through my machine in the trash... already did that but the wife made me take it out... Also can't just reinstall Win98 since machine is formatted in NTFS)

11-12-2000, 01:23 PM
Hi,

It's not win2k you have to worry about, there is support for opengl in win2k...
The fact is that a lot of videocards can't hande opengl in win2k...
I've got an Intel i740 and it doesn't have opengl support in win2k, where a friend of mine has the Intel 810E and that one does support opengl in win2k...
I was also under the understanding that Voodoo 2 chipset based cards did not work on win2k at all?
At least Creative's Voodoo 2's don't...

11-12-2000, 04:16 PM
yeah..
i was about to buy win2k but now hearing about all the gaming problems i've changed my mind.
i'm on win98se and still can't get opengl to work.
i'm on a laptop "sony vaio"
it has a neomagic chipset i guess, and umm..
i can't find a verison of opengl that will work with it.
sadly alot of good games require opengl.
when others will simply work with direct3d
*crys*
i just want my games to work :'(